# POST a Drop Shipment Cancellation Client endpoint to which Drop Shipment Cancellation data is posted to. This endpoint along with any authentication mechanisms needed must be communicated to client's account manager. Endpoint: POST /drop_shipment_cancellation Version: 1.0.0 ## Request fields (application/json): - `order` (object) - `order.id` (integer) An object's database primary key. Do not rely on this value! Example: 1 - `order.client_identifier` (string, required) client_identifier associated with the shipment which is also associated with the order Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `order.billing_address` (object, required) - `order.billing_address.name` (string) Name for the address. Example: "Lacy Macejkovic" - `order.billing_address.company` (string) Company name for the address. Example: "Bayer-Abernathy" - `order.billing_address.telephone_number` (string) Telephone number linked to the address. Example: "(914) 000-8971" - `order.billing_address.street` (string) Street line 1 of the address. Example: "315 5th Ave" - `order.billing_address.street2` (string) Street line 2 of the address. Example: "Suite 2112" - `order.billing_address.city` (string) City of the address. Example: "Scarsdale" - `order.billing_address.state` (string) State of the address. Example: "NY" - `order.billing_address.zip_code` (string) Zip code of the address. Example: "10583" - `order.billing_address.country` (string) Country of the address. Example: "US" - `order.billing_address.created_at` (string) Creation timestamp iso8601 UTC - `order.billing_address.updated_at` (string) Timestamp of most recent update iso8601 UTC - `order.shipping_address` (object, required) - `order.brand` (string, required) Brand name of client that received the order. Example: "acme" - `order.shipping_method` (string, required) The shipping method to be used on the order. Enum: "STANDARD", "EXPRESS", "OVERNIGHT", "FREIGHT", "PICK-UP" - `order.status` (string, required) Status of the order. Example: "cancelled" - `order.price_cents` (integer, required) Price paid in cents for the order. Example: 10000 - `order.tax_cents` (integer, required) Tax paid in cents for the order. Example: 1000 - `order.processing_fee_cents` (integer) Processing fee paid in cents for the order. - `order.shipping_cost_cents` (integer, required) Shipping cost paid in cents for the order. Example: 500 - `order.shipping_tax_cents` (integer, required) Shipping tax paid in cents for the order. - `order.comments` (string) Comments regarding the order. Example: "Sample order instructions" - `order.expected_delivery_date` (string) Expected delivery date of the order. - `order.signature_required` (boolean) Specifies if a customer signature is required on delivery - `order.packing_slip_identifier` (string) Packing slip identifier for the order. Example: "1497064" - `order.reject_reason` (string) Reason the order was rejected. - `order.order_items` (array, required) Order Item attributes - `order.order_items.client_identifier` (string, required) The order item identifier for the order item, typically coming from the customer's ecommerce platform or OMS Example: "296f0b98-7bc5-4750-8cb9-2e36db1ff766" - `order.order_items.sku` (string, required) Item SKU or listing identifier. This will always be listing.identifier Example: "PTBQ121308" - `order.order_items.brand` (string, required) The brand name of the order item Example: "test_brand" - `order.order_items.condition` (string, required) The condition code for the order item Example: "N" - `order.order_items.quantity` (integer, required) The quantity of the order item Example: 1 - `order.order_items.price_cents` (integer, required) The price in cents for the total quantity of the order item Example: 10000 - `order.order_items.tax_cents` (integer, required) The tax in cents for the total quantity of the order item Example: 1000 - `order.order_items.shipping_cost_cents` (integer, required) The shipping cost paid in cents for the order item Example: 500 - `order.order_items.shipping_tax_cents` (integer, required) The shipping tax paid in cents for the order item - `order.order_items.status` (string, required) Status of the order item Example: "cancelled" - `order.order_items.comments` (string) Comments associated with the order item - `order.created_at` (string) Date in ISO 8601 format in UTC - `order.updated_at` (string) Date in ISO 8601 format in UTC ## Response 200 fields (application/json): - `message` (string) Example: "Success" ## Response 422 fields (application/json): - `message` (string, required) Summary of the error(s). - `errors` (array, required) Contains one or more error objects. - `errors.field` (string, required) JSON path of the field that failed validation. - `errors.code` (string, required) Categorization of validation failure. Defaults to 'invalid'. Enum: "missing_field", "invalid_type", "invalid" ## Response 400 fields ## Response 401 fields ## Response 500 fields ## Response 502 fields